pro imoon_fast, ra_telescope, dec_telescope, ha_telescope, $
                ra_earthcenter, dec_earthcenter, ha_earthcenter, $
                alt_telescope, az_telescope, $
                jd=jd

;+
;PURPOSE: returns ra, dec, ha of moon, bogth for earth center and for
;  telescope, for a specified julian day or for current time.
;  ====> UNTESTED. SEE COMMENTS BELOW. <=====
;CALLING SEQUENCE:
;IMOON_FAST, ra_telescope, dec_telescope, ha_telescope, $
;             ra_earthcenter, dec_earthcenter, ha_earthcenter, $
;             alt_telescope, az_telescope, jd=jd
;
;INPUTS: none except the keyword JD, which specifies the Julian Day; if
;  JD is not specified, the result is for right now.
;
;OUTPUTS:
;RA_TELESCOPE is gthe right ascension as seen by the telescope
;RA_EARTHCENTER is the right ascension as seen by the earth's
;  center. etc. 
;
;COMMENTS: created 17nov2019. not tested. earth center values disagree
;with imoon. but a crude version of this worked at FAST.
;-

if n_elements(jd) eq 0 then jd= systime( /julian, /utc)

MOONPOS, jd, ra_earthcenter, dec_earthcenter, dis, !obselong, !obsnlat
ra_earthcenter= ra_earthcenter/15.d0

ct2lst, lst, !obselong, dummy, jd
ha_earthcenter= lst- ra_earthcenter

ha=ha_earthcenter
dec=dec_earthcenter

parallax, ha, dec, dis, long=!obselong, lat=!obsnlat

ha_telescope= ha
ra_telescope= lst- ha_telescope
dec_telescope= dec

   aar=hd2aa(ha_telescope*15.d0, dec_telescope, lat=!obsnlat)
   alt_telescope=aar[0]
   az_telescope=aar[1]

return

end
