
pro posang_eqgal, ra, dec, eqangle, glon, glat, gangle, $
                 inverse=inverse, equinox=equinox
;+
;Convert the position and position angle of linear pol in eq to gal, or
;vice-versa. 
;POSANG_EQGAL, ra, dec, eqangle, glon, glat, gangle, $
$  inverse=inverse, equinox=equinox

;INPUTS (in or out, depending on inverse):
;NOTE: IF INPUTS ARE ARRAYS, they must all be the same length.
;RA in DEGREES
;DEC
;EQANGLE, the equatorial position angle DEGREES
;GLONG: Gal long DEGREES
;GLAT: Gal lat
;Gangle, the galatic position angle in DEGREES
;
;INVERSE=0; equatorial to galactic
;INVERSE=1; galactic to equatorial
;EQUINOX: Default is 2000; specify if otherwise.
;this program was tested 09dec2017 by CH
;-

if n_elements( equinox) eq 0 then equinox=2000.
if n_elements( inverse) eq 0 then inverse=0
           POSANG_CONV, ra, dec, eqangle, glon, glat, gangle, $
               /eq_to_gal, equinox=equinox, inverse=inverse

return
end
